> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequence.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# GetNativeTokenBalance



## OpenAPI

````yaml indexer.json post /rpc/Indexer/GetNativeTokenBalance
openapi: 3.0.0
info:
  title: Sequence Indexer
  version: 0.0.1
servers:
  - url: https://amoy-indexer.sequence.app
    description: Amoy Mainnet
  - url: https://apechain-mainnet-indexer.sequence.app
    description: Apechain-Mainnet Mainnet
  - url: https://apechain-testnet-indexer.sequence.app
    description: Apechain-Testnet Mainnet
  - url: https://arbitrum-indexer.sequence.app
    description: Arbitrum Mainnet
  - url: https://arbitrum-nova-indexer.sequence.app
    description: Arbitrum-Nova Mainnet
  - url: https://arbitrum-sepolia-indexer.sequence.app
    description: Arbitrum-Sepolia Mainnet
  - url: https://astar-zkevm-indexer.sequence.app
    description: Astar-Zkevm Mainnet
  - url: https://astar-zkyoto-indexer.sequence.app
    description: Astar-Zkyoto Mainnet
  - url: https://avalanche-indexer.sequence.app
    description: Avalanche Mainnet
  - url: https://avalanche-testnet-indexer.sequence.app
    description: Avalanche-Testnet Mainnet
  - url: https://b3-indexer.sequence.app
    description: B3 Mainnet
  - url: https://b3-sepolia-indexer.sequence.app
    description: B3-Sepolia Mainnet
  - url: https://base-indexer.sequence.app
    description: Base Mainnet
  - url: https://base-sepolia-indexer.sequence.app
    description: Base-Sepolia Mainnet
  - url: https://blast-indexer.sequence.app
    description: Blast Mainnet
  - url: https://blast-sepolia-indexer.sequence.app
    description: Blast-Sepolia Mainnet
  - url: https://borne-testnet-indexer.sequence.app
    description: Borne-Testnet Mainnet
  - url: https://bsc-indexer.sequence.app
    description: Bsc Mainnet
  - url: https://bsc-testnet-indexer.sequence.app
    description: Bsc-Testnet Mainnet
  - url: https://gnosis-indexer.sequence.app
    description: Gnosis Mainnet
  - url: https://homeverse-indexer.sequence.app
    description: Homeverse Mainnet
  - url: https://homeverse-testnet-indexer.sequence.app
    description: Homeverse-Testnet Mainnet
  - url: https://immutable-zkevm-indexer.sequence.app
    description: Immutable-Zkevm Mainnet
  - url: https://immutable-zkevm-testnet-indexer.sequence.app
    description: Immutable-Zkevm-Testnet Mainnet
  - url: https://imx-indexer.sequence.app
    description: Imx Mainnet
  - url: https://imx-testnet-indexer.sequence.app
    description: Imx-Testnet Mainnet
  - url: https://mainnet-indexer.sequence.app
    description: Mainnet Mainnet
  - url: https://optimism-indexer.sequence.app
    description: Optimism Mainnet
  - url: https://optimism-sepolia-indexer.sequence.app
    description: Optimism-Sepolia Mainnet
  - url: https://polygon-indexer.sequence.app
    description: Polygon Mainnet
  - url: https://polygon-zkevm-indexer.sequence.app
    description: Polygon-Zkevm Mainnet
  - url: https://rootnet-indexer.sequence.app
    description: Rootnet Mainnet
  - url: https://rootnet-porcini-indexer.sequence.app
    description: Rootnet-Porcini Mainnet
  - url: https://sepolia-indexer.sequence.app
    description: Sepolia Mainnet
  - url: https://skale-nebula-testnet-indexer.sequence.app
    description: Skale-Nebula-Testnet Mainnet
  - url: https://soneium-minato-indexer.sequence.app
    description: Soneium-Minato Mainnet
  - url: https://toy-testnet-indexer.sequence.app
    description: Toy-Testnet Mainnet
  - url: https://xai-indexer.sequence.app
    description: Xai Mainnet
  - url: https://xai-sepolia-indexer.sequence.app
    description: Xai-Sepolia Mainnet
  - url: https://xr-sepolia-indexer.sequence.app
    description: Xr-Sepolia Mainnet
security: []
tags:
  - name: public
    description: >-
      Endpoints accessible by passing your project-access-key in the header.
      This is injected whenever you login automatically.
  - name: secret
    description: >-
      Endpoints that require a Sequence service token intended to be secret. You
      can manually generate one on Sequence Builder and pass it as a Bearer
      Token.
paths:
  /rpc/Indexer/GetNativeTokenBalance:
    post:
      tags:
        - public
      summary: GetNativeTokenBalance
      description: >-
        GetNativeTokenBalance queries an ethereum node for the latest native
        token account balance. The native token is the token of the chain the
        indexer is connected to, for example, ETH on Ethereum and POL on
        Polygon.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Indexer_GetNativeTokenBalance_Request'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Indexer_GetNativeTokenBalance_Response'
        4XX:
          description: Client error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ErrorWebrpcEndpoint'
                  - $ref: '#/components/schemas/ErrorWebrpcRequestFailed'
                  - $ref: '#/components/schemas/ErrorWebrpcBadRoute'
                  - $ref: '#/components/schemas/ErrorWebrpcBadMethod'
                  - $ref: '#/components/schemas/ErrorWebrpcBadRequest'
                  - $ref: '#/components/schemas/ErrorWebrpcClientDisconnected'
                  - $ref: '#/components/schemas/ErrorWebrpcStreamLost'
                  - $ref: '#/components/schemas/ErrorUnauthorized'
                  - $ref: '#/components/schemas/ErrorPermissionDenied'
                  - $ref: '#/components/schemas/ErrorSessionExpired'
                  - $ref: '#/components/schemas/ErrorMethodNotFound'
                  - $ref: '#/components/schemas/ErrorRequestConflict'
                  - $ref: '#/components/schemas/ErrorAborted'
                  - $ref: '#/components/schemas/ErrorTimeout'
                  - $ref: '#/components/schemas/ErrorInvalidArgument'
                  - $ref: '#/components/schemas/ErrorUnavailable'
                  - $ref: '#/components/schemas/ErrorQueryFailed'
                  - $ref: '#/components/schemas/ErrorResourceExhausted'
                  - $ref: '#/components/schemas/ErrorNotFound'
                  - $ref: '#/components/schemas/ErrorProjectNotFound'
                  - $ref: '#/components/schemas/ErrorMetadataCallFailed'
        5XX:
          description: Server error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ErrorWebrpcBadResponse'
                  - $ref: '#/components/schemas/ErrorWebrpcServerPanic'
                  - $ref: '#/components/schemas/ErrorWebrpcInternalError'
      security:
        - ApiKeyAuth:
            - AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
components:
  schemas:
    Indexer_GetNativeTokenBalance_Request:
      type: object
      properties:
        accountAddress:
          type: string
    Indexer_GetNativeTokenBalance_Response:
      type: object
      properties:
        balance:
          $ref: '#/components/schemas/NativeTokenBalance'
    ErrorWebrpcEndpoint:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcEndpoint
        code:
          type: number
          example: 0
        msg:
          type: string
          example: endpoint error
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcRequestFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcRequestFailed
        code:
          type: number
          example: -1
        msg:
          type: string
          example: request failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcBadRoute:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadRoute
        code:
          type: number
          example: -2
        msg:
          type: string
          example: bad route
        cause:
          type: string
        status:
          type: number
          example: 404
    ErrorWebrpcBadMethod:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadMethod
        code:
          type: number
          example: -3
        msg:
          type: string
          example: bad method
        cause:
          type: string
        status:
          type: number
          example: 405
    ErrorWebrpcBadRequest:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadRequest
        code:
          type: number
          example: -4
        msg:
          type: string
          example: bad request
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcClientDisconnected:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcClientDisconnected
        code:
          type: number
          example: -8
        msg:
          type: string
          example: client disconnected
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcStreamLost:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcStreamLost
        code:
          type: number
          example: -9
        msg:
          type: string
          example: stream lost
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorUnauthorized:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Unauthorized
        code:
          type: number
          example: 1000
        msg:
          type: string
          example: Unauthorized access
        cause:
          type: string
        status:
          type: number
          example: 401
    ErrorPermissionDenied:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: PermissionDenied
        code:
          type: number
          example: 1001
        msg:
          type: string
          example: Permission denied
        cause:
          type: string
        status:
          type: number
          example: 403
    ErrorSessionExpired:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: SessionExpired
        code:
          type: number
          example: 1002
        msg:
          type: string
          example: Session expired
        cause:
          type: string
        status:
          type: number
          example: 403
    ErrorMethodNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: MethodNotFound
        code:
          type: number
          example: 1003
        msg:
          type: string
          example: Method not found
        cause:
          type: string
        status:
          type: number
          example: 404
    ErrorRequestConflict:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: RequestConflict
        code:
          type: number
          example: 1004
        msg:
          type: string
          example: Conflict with target resource
        cause:
          type: string
        status:
          type: number
          example: 409
    ErrorAborted:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Aborted
        code:
          type: number
          example: 1005
        msg:
          type: string
          example: Request aborted
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorTimeout:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Timeout
        code:
          type: number
          example: 2000
        msg:
          type: string
          example: Request timed out
        cause:
          type: string
        status:
          type: number
          example: 408
    ErrorInvalidArgument:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: InvalidArgument
        code:
          type: number
          example: 2001
        msg:
          type: string
          example: Invalid argument
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorUnavailable:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Unavailable
        code:
          type: number
          example: 2002
        msg:
          type: string
          example: Unavailable resource
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorQueryFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: QueryFailed
        code:
          type: number
          example: 2003
        msg:
          type: string
          example: Query failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorResourceExhausted:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: ResourceExhausted
        code:
          type: number
          example: 2004
        msg:
          type: string
          example: Resource exhausted
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: NotFound
        code:
          type: number
          example: 3000
        msg:
          type: string
          example: Resource not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorProjectNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: ProjectNotFound
        code:
          type: number
          example: 3002
        msg:
          type: string
          example: Project not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorMetadataCallFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: MetadataCallFailed
        code:
          type: number
          example: 3003
        msg:
          type: string
          example: Metadata service call failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcBadResponse:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadResponse
        code:
          type: number
          example: -5
        msg:
          type: string
          example: bad response
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorWebrpcServerPanic:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcServerPanic
        code:
          type: number
          example: -6
        msg:
          type: string
          example: server panic
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorWebrpcInternalError:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcInternalError
        code:
          type: number
          example: -7
        msg:
          type: string
          example: internal error
        cause:
          type: string
        status:
          type: number
          example: 500
    NativeTokenBalance:
      type: object
      required:
        - accountAddress
        - balance
      properties:
        accountAddress:
          type: string
        balance:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      description: >-
        Public project access key for authenticating requests obtained on
        Sequence Builder. Example Test Key: AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
      name: X-Access-Key
      x-example: AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI

````